/*
 * $Id: mapcnfs.h,v 1.2 2008/02/04 15:44:11 ca Exp $
 */

#ifndef SM_MAPCNFS_H
#define SM_MAPCNFS_H 1

#include "sm/generic.h"
#include "sm/sm-conf.h"
#include "sm/map.h"

#if SM_MAPCNFDEF
#define EXTERN
#else
#define EXTERN extern
#endif

#define MAP_FL_CNF_DEFS	\
{ SM_CONF_DEF_MAGIC, "detail_plus",	sm_conf_type_choice_value,	\
	SMMAP_LFL_DETPLUS,	\
	0, NULL, 0, NULL, NULL, NULL,	\
	"perform ++ matching"	\
	SM_LC_NO_ISSET	SM_LC_SET_MAGIC(0) },	\
{ SM_CONF_DEF_MAGIC, "detail_star",	sm_conf_type_choice_value,	\
	SMMAP_LFL_DETSTAR,	\
	0, NULL, 0, NULL, NULL, NULL,	\
	"perform +* matching"	\
	SM_LC_NO_ISSET	SM_LC_SET_MAGIC(0) },	\
{ SM_CONF_DEF_MAGIC, "star",		sm_conf_type_choice_value,	\
	SMMAP_LFL_STAR,	\
	0, NULL, 0, NULL, NULL, NULL,	\
	"perform * matching"	\
	SM_LC_NO_ISSET	SM_LC_SET_MAGIC(0) },	\
{ SM_CONF_DEF_MAGIC, "domain",	sm_conf_type_choice_value,	\
	SMMAP_LFL_DOMAIN,	\
	0, NULL, 0, NULL, NULL, NULL,	\
	"perform @domain matching"	\
	SM_LC_NO_ISSET	SM_LC_SET_MAGIC(0) },	\
{ SM_CONF_DEF_MAGIC, "dotsubdomain",	sm_conf_type_choice_value,	\
	SMMAP_LFL_DOTSUBDOM,	\
	0, NULL, 0, NULL, NULL, NULL,	\
	"perform @.sub.domain matching"	\
	SM_LC_NO_ISSET	SM_LC_SET_MAGIC(0) },	\
{ SM_CONF_DEF_MAGIC, "implicitly_match_detail",	sm_conf_type_choice_value,	\
	SMMAP_LFL_IMPLDET,	\
	0, NULL, 0, NULL, NULL, NULL,	\
	"implicitly match +detail without specifying +* or *"	\
	SM_LC_NO_ISSET	SM_LC_SET_MAGIC(0) },	\
{ SM_CONF_DEF_MAGIC, "full_address",	sm_conf_type_choice_value,	\
	SMMAP_LFL_FULL,	\
	0, NULL, 0, NULL, NULL, NULL,	\
	"match full address"	\
	SM_LC_NO_ISSET	SM_LC_SET_MAGIC(0) }

#undef EXTERN

#endif /* SM_MAPCNFS_H */
