#!/bin/sh
# $Id: common.sh,v 1.2 2013/12/30 01:27:04 ca Exp $
#
test -s stop && exit 1

GETNS=${SD}/../misc/getns.sh
if test -x ${GETNS}
then
  . ${GETNS}
else
NS=`grep '^nameserver' /etc/resolv.conf | head -n1 | sed -e 's/nameserver[	 ]*\([0-9][0-9\.]*\).*$/\1/'`
if test -z "${NS}"
then
  echo "$0: no nameserver found"
  exit 0
fi
fi

ERRS=0
BN=`basename $0 .sh`
OUT=${BN}.out
OK=${BN}.ok
